## Apache Zeta Components Manual :: Docs For Class ezcGraphHorizontalBarRenderer

### Graph::ezcGraphHorizontalBarRenderer

### Interface ezcGraphHorizontalBarRenderer

Interface which adds the methods reqired to render horizontal bar charts to the renderer.

Source for this file: /Graph/src/interfaces/horizontal_bar_renderer.php

Version: | //autogentag//

### Method Summary

public void | `drawHorizontalBar( $boundings , $context , $color , $position , $stepSize , [ $dataNumber = 1] , [ $dataCount = 1] , [ $symbol = ezcGraph::NO_SYMBOL] , [ $axisPosition = 0.] )` Draw horizontal bar

### Methods

#### drawHorizontalBar

void drawHorizontalBar( $boundings , ezcGraphContext $context , ezcGraphColor $color , ezcGraphCoordinate $position , float $stepSize , [int $dataNumber = 1] , [int $dataCount = 1] , [int $symbol = ezcGraph::NO_SYMBOL] , [float $axisPosition = 0.] )

Draw horizontal bar

Draws a horizontal bar as a data element in a line chart

##### Parameters:

Name | Type | Description
--- | --- | ---
`$boundings` | ezcGraphBoundings | Chart boundings
`$context` | ezcGraphContext | Context of call
`$color` | ezcGraphColor | Color of line
`$position` | ezcGraphCoordinate | Position of data point
`$stepSize` | float | Space which can be used for bars
`$dataNumber` | int | Number of dataset
`$dataCount` | int | Count of datasets in chart
`$symbol` | int | Symbol to draw for line
`$axisPosition` | float | Position of axis for drawing filled lines

Documentation generated by phpDocumentor 1.4.3